Package com.sas.lsaf.content.common

## Class AbstractCreateInfo

- java.lang.Object
- - com.sas.lsaf.content.common.AbstractCreateInfo

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `FileCreateInfo`

      public abstract class AbstractCreateInfo
      extends java.lang.Object
      implements java.io.Serializable

  Represents all of the properties and attributes that can be set on a repository item during creation.

  Abstract because this class should not be constructed directly, rather, a more detailed subclass should be constructed and used.

  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractCreateInfo​(java.lang.String path)` |
    `AbstractCreateInfo​(java.lang.String parentPath, java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AbstractCreateInfo` | `description​(java.lang.String description)` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getPath()` |
    `void` | `setDescription​(java.lang.String description)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCreateInfo

          public AbstractCreateInfo​(java.lang.String path)

    - #### AbstractCreateInfo

          public AbstractCreateInfo​(java.lang.String parentPath,
                                    java.lang.String name)

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### description

          public AbstractCreateInfo description​(java.lang.String description)